Bug 210889 - games/gemrb: update to 0.8.4
Summary: games/gemrb: update to 0.8.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL: http://gibberlings3.net/forums/index....
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-07 12:11 UTC by Nikolai Lifanov
Modified: 2016-07-13 11:41 UTC (History)
1 user (show)

See Also:
beyert: maintainer-feedback+


Attachments
games/gemrb: 0.8.3 -> 0.8.4 (29.15 KB, patch)
2016-07-07 12:11 UTC, Nikolai Lifanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov 2016-07-07 12:11:15 UTC
Created attachment 172193 [details]
games/gemrb: 0.8.3 -> 0.8.4

This updates GemRB to 0.8.4. Release notes are in the URL.
Notably, with this release Planescape Torment support is complete
(or at least the game can be finished now).

The patch also includes assorted cleanups:
switch to USES=localbase
indent CMAKE_ARGS
add missing LIB_DEPENDS
add INSTALLS_ICONS

I would like to take maintainership of this port if the current
maintainer is willing to pass it on.
Comment 1 Dmitry Marakasov freebsd_committer 2016-07-07 15:52:57 UTC
LGTM, awaiting maintainer's feedback
Comment 2 Timothy Beyer 2016-07-10 19:52:55 UTC
(In reply to Nikolai Lifanov from comment #0)

I will test your patch in just a moment.

Sorry about the delay on this.

Regards,
Tim
Comment 3 Timothy Beyer 2016-07-10 20:10:54 UTC
I approve of the patch, which builds and installs correctly.  I also give permission for the submitter to become the new maintainer of the port.

Thanks!
Comment 4 Timothy Beyer 2016-07-10 20:13:11 UTC
Please make Nikolai Lifanov the new maintainer of the port.
Comment 5 commit-hook freebsd_committer 2016-07-13 11:41:11 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Jul 13 11:40:24 UTC 2016
New revision: 418468
URL: https://svnweb.freebsd.org/changeset/ports/418468

Log:
  - Update 0.8.4 (see http://gibberlings3.net/forums/index.php?showtopic=27878 for changes)
  - Switch to USES=localbase
  - Indent CMAKE_ARGS
  - Add missing LIB_DEPENDS
  - Add missing INSTALLS_ICONS
  - Pass maintainership to submitter

  PR:		210889
  Submitted by:	lifanov@mail.lifanov.com
  Approved by:	beyert@cs.ucr.edu (maintainer)

Changes:
  head/games/gemrb/Makefile
  head/games/gemrb/distinfo
  head/games/gemrb/pkg-plist